# Globals {#lua-globals}

TODO


## Constants

### `CODENAME` $badge:since:v0.1$
Traintastic release name or development branch, e.g. `"master"`.

### `LUA_VERSION` $badge:since:v0.1$
Lua version and copyright, e.g. `"Lua 5.3.3  Copyright (C) 1994-2016 Lua.org, PUC-Rio"`

### `VERSION` $badge:since:v0.1$
Traintastic version, e.g. `"0.1.0"`

### `VERSION_MAJOR` $badge:since:v0.1$
Traintastic major version, e.g. `0`

### `VERSION_MINOR` $badge:since:v0.1$
Traintastic minor version, e.g. `1`

### `VERSION_PATCH` $badge:since:v0.1$
Traintastic patch level, e.g. `0`


## Variables

### `world` $badge:since:v0.1$
The global [world object](object/world.md).


## Functions

### `assert()` $badge:since:v0.1$ $badge:lua$
TODO

### `ipairs()` $badge:since:v0.1$ $badge:lua$
TODO

### `next()` $badge:since:v0.1$ $badge:lua$
TODO

### `pairs()` $badge:since:v0.1$ $badge:lua$
TODO

### `tonumber()` $badge:since:v0.1$ $badge:lua$
TODO

### `tostring()` $badge:since:v0.1$ $badge:lua$
TODO

### `type()` $badge:since:v0.1$
TODO


## Libraries

### `class` $badge:since:v0.1$
The [class library](library/class.md).

### `enum` $badge:since:v0.1$
The [enum library](library/enum.md).

### `log` $badge:since:v0.1$
The [log library](library/log.md).

### `math` $badge:since:v0.1$
The [math library](library/math.md).

### `set` $badge:since:v0.1$
The [set library](library/set.md).

### `string` $badge:since:v0.1$
The [string library](library/string.md).

### `table` $badge:since:v0.1$
The [table library](library/table.md).
